curl --request GET \
--url https://api.synctera.com/v1/reward_configs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.synctera.com/v1/reward_configs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.synctera.com/v1/reward_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reward_configs": [
{
"amount_config": {
"amount_type": "fixed",
"config": {
"fixed_amount": {
"amount": 300
},
"percentage": {
"basis_points": 300
},
"transaction_amount_tiered": {
"tiers": [
{
"amount_type": "fixed",
"config": {
"fixed_amount": {
"amount": 300
},
"percentage": {
"basis_points": 300
}
},
"up_to": 10000
}
]
}
}
},
"name": "Grocery Store Cashback",
"reward_category": "cashback:card:mcc",
"status": "active",
"creation_time": "2024-01-15T10:00:00Z",
"id": "5c943c51-e4ff-4e57-9558-08cab6b96398",
"last_updated_time": "2024-06-01T12:00:00Z",
"tenant": "abcdef_ghijkl",
"description": "1% cashback on all grocery purchases",
"reverse_with_parent": false,
"reward_type": "instant_cashback",
"rule_config": {
"mcc_cashback": {
"mcc_ranges": [
{
"lower": "5411",
"upper": "5499"
}
]
}
},
"template_id": "8b943c51-e4ff-4e57-9558-08cab6b96234"
}
],
"next_page_token": "a8937a0d"
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}{
"code": "BAD_REQUEST_BODY",
"detail": "Missing required fields: first_name, dob",
"status": 400
}List reward configs
Get a paginated list of all reward configs
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
active, inactive Case insensitive wildcard search for reward_category, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
Case insensitive wildcard search for description, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
Case insensitive wildcard search for name, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
Case insensitive wildcard search for status, wildcards can be specified with '*'. Wildcards at both the start and the end of the input is assumed.
The id of the tenant containing the resource.
Optional pagination token to be provided to retrieve subsequent pages, returned from previous get
"a8937a0d"
The category of event that triggers this reward. Trigger-based categories fire when a matching card transaction is posted.
cashback:card:mcc creation_time:asc, creation_time:desc, reward_category:asc, reward_category:desc Maximum number of objects to return per page. If the limit is greater than 100, then it will be set to 100.
x >= 1100
Was this page helpful?

